Bug 48148 - EDITING: Spell & Grammar disallows change in the dialog box - Lightproof issue
Summary: EDITING: Spell & Grammar disallows change in the dialog box - Lightproof issue
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.1 release
Hardware: Other All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Spell-Checking
  Show dependency treegraph
 
Reported: 2012-04-01 02:16 UTC by Wyndham Clampett
Modified: 2017-06-15 22:50 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot illustrating the issue (100.49 KB, image/jpeg)
2012-04-01 02:16 UTC, Wyndham Clampett
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Wyndham Clampett 2012-04-01 02:16:12 UTC
Created attachment 59328 [details]
Screenshot illustrating the issue

I'm unsure which (all) Lightproof suggested correction types this applies to, but it certainly does for some, where  clicking in the dialog box, in the text, in order to make a correction, the dialog goes into "Resume" mode - see screenshot.

In this case the suggested correction is related to "En dash or Em dash:"

This behaviour is different to normal dialog box behaviour where corrections can be inside the dialog box. Here, you are expected to either accept the correction or ignore, or cancel. The last doesn't really help as the same issue comes up again when the scenario is reached again.
Comment 1 Wyndham Clampett 2012-04-01 02:19:51 UTC
I should have clarified that it is possible to make the correction in the document and then choose Resume and then Ignore.

However, this is a workaround and should not be necessary, particularly as it is often tricky to find the relevant text (in the document) as nothing is highlighted in the document by the Spell & Grammar dialog.
Comment 2 Wyndham Clampett 2012-04-01 02:37:48 UTC
More info:

This situation occurs after Resume.

For example: The dialog comes up, you switch to view something in a browser or anything else, return to the dialog where it is in Resume "mode".

It is at this point (after clicking on Resume), that the bug occurs.

If editing is attempted straightaway, and not leaving the dialog box causing Resume, then everything works as expected.
Comment 3 flamingdescent 2013-06-26 23:25:52 UTC
I can confirm this bug with LibreOffice 4.0.4.2 (downloaded from libreoffice.org) on 64-bit Windows 8 and LibreOffice 4.0.2.2 (pre-installed) on 64-bit Ubuntu 13.04. Since this bug appears on different operating systems, I changed this bug's platform to "All".

To sum up the steps to reproduce the bug:
0. Open LibreOffice Writer.
1. Type "there - there" or "itwas". Note: LibreOffice on Ubuntu apparently doesn't register "there - there" as a mistake in Spelling and Grammar.
2. (menu) Tools > Spelling and Grammar...
3. Click outside of the dialog box.
4. If you typed "itwas" in step 1, add a space at the end of the words (in the document, outside the dialog box). If you typed "there - there" in Step 1 and if the hyphen changes to an en dash due to AutoCorrect, press Ctrl + Z.
5. Click on the dialog box, and press "Resume".
6. Click on the editable text in the dialog box.

This bug doesn't occur only when the word "Lightproof" is in the name of the dialog box though. For example, if you type a typo like "itwas", the bug would still appear.

Users can still manually spell/grammar check, so this bug does not prevent users from making professional quality work, but instead this bug only makes it substantially harder for users to make professional quality work. Therefore, I changed this bug's importance to "medium minor".

Thanks for reporting this bug.
Comment 4 QA Administrators 2015-03-16 23:49:00 UTC Comment hidden (obsolete)
Comment 5 Buovjaga 2015-03-31 07:29:34 UTC
Reproduced.

Win 7 Pro 64-bit Version: 4.5.0.0.alpha0+
Build ID: 8c3cf9dd48e40604867d3a28bddaccd65142df17
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2015-03-27_15:15:18
Locale: fi_FI
Comment 6 tommy27 2016-04-16 07:26:33 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2017-05-22 13:22:38 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.2.7 or 5.3.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170522